using AutoMapper;
using CatalogService.DTOs;
using CatalogService.Entities;

namespace CatalogService.RequestHelpers;

public class MappingProfiles : Profile
{
    public MappingProfiles()
    {
        CreateMap<ExerciceTemplate, ExerciceTemplateDto>();
        CreateMap<ExerciceTemplateDto, ExerciceTemplate>();
        CreateMap<CreateExerciceTemplateDto, ExerciceTemplate>();
        CreateMap<UpdateExerciceTemplateDto, ExerciceTemplate>();
    }
}