using Shared.Entities;
using Shared.Enum;

namespace CatalogService.Entities;

public class ExerciceTemplate : EntityBase
{
    public string Name { get; set; }
    
    public string Description { get; set; }
    
    public ETarget Target { get; set; }
    
    public string ImageUrl { get; set; }
    
    public string VideoUrl { get; set; }
    
    // Default value (UTC time because it's the most common format and it's the one used by postgres database)
    public DateTime CreatedAt { get; set; } = DateTime.UtcNow; 
    
    public DateTime UpdatedAt { get; set; } = DateTime.UtcNow;
}