using CatalogService.Entities;
using Microsoft.EntityFrameworkCore;
using TrainingSvc.Entities;

namespace TrainingSvc.Data;

public class TrainingDbContext : DbContext
{
    public TrainingDbContext(DbContextOptions options) : base(options)
    {
    }
    
    public DbSet<ExerciceTemplate> ExerciceTemplates { get; set; }
    
    public DbSet<ExerciceInstance> ExerciceInstances { get; set; }
    
    public DbSet<Session> Sessions { get; set; }
    
    public DbSet<TrainingProgram> TrainingPrograms { get; set; }

}